##################################################
#
# CastleD load script
#
# DO NOT CHANGE THIS FILE!
#
# Add new objects to newWorld.cs
#
##################################################


if test $2 == Init
	##################################################
	#
	# Only set variables here
	
	set KQWorld::background 11
	
	# Maximum monsters awake at a time
	set KQWorld::MaxMonsters 6
	
	# Terrain damage amounts
	set KQWorld::FastPoisonTime 0
	set KQWorld::PoisonTime 5
	
	if test $KQGame::BitDepth == 8
		set KQWorld::objectPalette Castle.ppl
		set KQWorld::connorPalette Castle.ppl
		set KQWorld::terrainPalette Castle.ppl
		set KQWorld::interiorPalette Castle.ppl

		set KQWorld::loadingPalette Castle.ppl
	else
		set KQWorld::objectPalette Castle.ppl
		set KQWorld::connorPalette Castle.ppl
		set KQWorld::terrainPalette Castle.ppl
		set KQWorld::interiorPalette Castle.ppl

		set KQWorld::loadingPalette Castle.ppl
	endif
	#
	##################################################	
	
	
	#############################################################
	# The background:
	
	newSky $KQWorld::background
	
	# the starfield distance must be somewhere between the
	# terrain's visible distance and the camera's far plane
	#set SimStarField::starFieldDistance 16900
	#set SimStarField::count 800
	#newStars
	
	# no planet, yet
	# the planet distance must be somewhere between the
	# terrain's visible distance and the camera's far plane
	# set SimSkyPlanet::planetDistance 16900
	#############################################################
	
else if test $2 == Begin
   if test $CastleD::beenHere == 0
      KQMonster::speak Connor Connor 1000 79 0 10 1 1
      set CastleD::beenHere 1
   endif
   KQConner::setRun 0

   KQMonster::checkInventory Connor MagicMap
   if test $Console::Return == 1
	KQMap::activate
   endif

else if test $2 == Load
	
	# load the objects
	newWorld.cs

	#moved here from mask.cs [10-13 abc]. blackOut sets the display black
	blackOut
	KQGame::selectScreen 1

	#moved here from mask.cs [10-13 abc]. blackOut sets the display black
	blackOut
	KQGame::selectScreen 1

	# the loadPalette and resetHazeColor calls must appear together
	loadPalette $KQWorld::loadingPalette 0
	# resetHazeColor must appear AFTER the above loadPalette command
	#resetHazeColor 4 8 12
	allowShadows 0

else if test $2 == Die

	# Things should be added here if the world owns them,
	# but they are not saved out by the persistManager.

	echo Unloading $KQWorld::Name

	#84 is the SimGroupId for SimSkyGroup
	deleteObject 84

endif
endif
endif
endif
